
Redmine - Patch #37470

Add missing fixture versions to MailHandlerControllerTest 

2022-07-20 10:24 - Dmitry Makurin 

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Description

$ bundle exec rails db:reset test TEST=test/functional/mail_handler_controller_test.rb RAILS_ENV=t

est

Dropped database 'db/test.sqlite3'

Created database 'db/test.sqlite3'

Run options: --seed 31332

# Running:

..F

Failure:

MailHandlerControllerTest#test_should_update_issue [/home/makurin/Work/clean-redmine/test/function

al/mail_handler_controller_test.rb:88]:

"Journal.count" didn't change by 1.

Expected: 1

  Actual: 0

rails test test/functional/mail_handler_controller_test.rb:82

.....

Finished in 1.692365s, 4.7271 runs/s, 10.0451 assertions/s.

8 runs, 17 assertions, 1 failures, 0 errors, 0 skips

 And in the log/test.log there is a validation error:

MailHandler: Validation failed: Target version is not included in the list

Related issues:

Copied from Redmine - Patch #37469: Add missing fixture versions to Repositor... Closed

Associated revisions

Revision 21727 - 2022-07-21 03:20 - Go MAEDA

Add missing fixture versions to MailHandlerControllerTest (#37470).

Patch by Dmitry Makurin.

History

#1 - 2022-07-20 10:24 - Dmitry Makurin 

- Copied from Patch #37469: Add missing fixture versions to RepositoryTest added

#2 - 2022-07-20 10:25 - Dmitry Makurin 

- File 37470.patch added

#3 - 2022-07-20 11:31 - Go MAEDA

- Category set to Code cleanup/refactoring

- Status changed from New to Confirmed

- Target version set to 5.1.0
#4 - 2022-07-21 03:21 - Go MAEDA

- Tracker changed from Defect to Patch

- Subject changed from Missing fixture in MailHandlerControllerTest to Add missing fixture versions to MailHandlerControllerTest 

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

Committed the fix. Thank you.

Files

37470.patch 727 Bytes 2022-07-20 Dmitry Makurin 
